#!/usr/bin/perl
use IO::File;

sub cvtpbm
{
    ($vpix,$hpix,$page) = shift;
    $name = "/tmp/testpbm.".$page;
    $f = new IO::File $name, "w";
    $size = $hpix*$vpix >> 3;
    read STDIN,$bits,$size;
    $f->print("P4\n");
    $f->print("# Test pbm filter for QFAX/printfax\n");
    $f->print($vpix,' ',$hpix,"\n");
    $f->write($bits,$size);
    $f->close;
}

$page = 0;
while(<STDIN>)
{
  if (/P4/)
  {
    <STDIN>;
    ($vpix,$hpix) = split \ \,$_;
    $page++;
    print STDERR "outfax $vpix $hpix $page\n";
    cvtpbm $vpix $hpix $page;
  }
  else  { LAST; }
}
  print STDERR "Done\n";
