/*
 *
 * Header file for LIST procedures
 *
 */

typedef struct list_node
{
    struct list_node *next;
    struct list_node *prev;
    void *item;
} LIST_NODE, *PLIST_NODE;

typedef struct
{
    PLIST_NODE head;
    PLIST_NODE tail;
    int length;
} LIST_HEAD, *PLIST_HEAD;

LIST_HEAD *CreateHead (void);
int AppendList (void *info, LIST_HEAD *list);
LIST_NODE *InsertBeforeNode (void *info, LIST_HEAD *list, LIST_NODE *node);
void *RemoveNode (LIST_HEAD *list, LIST_NODE *node);
LIST_NODE *FindNode (LIST_HEAD *list, int (*cmpfnc) (void *, void *), void *info);
int DeleteList (LIST_HEAD *list, short flag);
