include ../qlextra

all: qfaxthing qfaxview LoadNT flog

xtra: pcl2g3 qtest

LIBS = -lhotthg -lmin
HOT = -lhotthg

OBJS1 = qfaxthing.o
OBJS2 = qfaxview.o menu.o menusubs.o menu-chks.o
OBJS3 = qfaxshow.o
OBJS4 = flog.o
OBJS5 = loadthing.o
OBJS6 = qv1.o menu.o menusubs.o menu-chks.o
POBJS = pcl2g3.o parse.o encoder.o 

CFLAGS = -O -DADDTHING -I../lib/

qfaxthing: $(OBJS1)
	$(CC) -o $@ $(OBJS1) $(LIBS)
	ls -l  $@

qfaxview: $(OBJS2)
	$(CC) -o $@ $(OBJS2) $(LIBS)
	ls -l  $@

QFAXv: $(OBJS6)
	$(CC) -o $@ $(OBJS6) $(LIBS)
	ls -l  $@

qfaxshow: $(OBJS3)
	$(CC) -o $@ $(OBJS3) $(HOT)
	ls -l  $@

flog: $(OBJS4)
	$(CC) -o $@ $(OBJS4) $(HOT)
	ls -l  $@

LoadNT: $(OBJS5)
	$(CC) -o $@ $(OBJS5) $(HOT)
	ls -l  $@

pcl2g3: $(POBJS)
	$(CC) $(LDFLAGS) -o pcl2g3 $(POBJS)

qtest: qtest.o
	$(CC) $(LDFLAGS) -o qtest qtest.o

qconfig.o : qconfig.S
