#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <ctype.h>
#include <errno.h>
#include <signal.h>
#include <stdarg.h>
#include <time.h>

#include <Qdos.h>
#include <qlib.h>

#include "/lib/QFaxParse.h"
#include "qfaxpipe.h"

FAXDATA qd = {0};
extern int jcall(void (*)(), char *, int, int, int, ...);
extern void PipeReader(QFAXPIPE *);

main()
{
    QFAXPIPE *qp;
    int ppid;
    int op = 0;

    setvbuf(stdout, NULL, _IONBF, 0);
    
    FaxParams(&qd);
    if(qd.inpipe)
    {
        qp = malloc(sizeof(QFAXPIPE));
        qp->pflag =0;
        qp->inname = qd.inpipe;
        ppid = jcall(PipeReader, "qfaxpiper", 1, 1024, 1, qp);
    }
    if(qd.oupipe)
    {
        op = io_open(qd.oupipe, 0);
    }
    if(op > 0)
    {
        puts("Opened out pipe too !");
    }
    while (1)
    {
        while(qp->pflag == 0)
        {
            mt_susjb(-1, 1, NULL);
        }
        fputs(qp->pbuf, stdout); 
        qp->pflag = 0;
        if(op > 0)
        {
            time_t t;
            t = time(NULL);
            io_sstrg(op, 0, ctime(&t), 25);
        }
    }            
}       
