#include <stdio.h>
#include <sys/types.h>
#include "qheader.h"
#include "qfaxparse.h"
#include "g3encoder.h"

/*------------------------ Picdef ----------------------------------*/

typedef struct picdef_s
{
    char *ptr;
    char *base;
    char active;
    char square;
    char invert;
    char aspect;
    short from;
    short ypix;
    short faxlines;
    short llen;
    short xpix;
    short mag;
    short magc;
    short line;
    char  pixlin[304];
    int (*pixfunc)(struct picdef_s *, short);
} PICDEF, *PPICDEF;

extern int GetQLRec(PPICDEF, short);
extern int GetBitMap(PPICDEF, short);

/*------------------------ Updef ----------------------------------*/

#define U_IFILE 0
#define U_INFO  1
#define U_STAT  2
#define U_PAGE  3
#define U_LINE  4
#define U_INC   5
#define U_MISC  6

extern  void Update (short, char *,...);
#ifndef QDOS
extern  void InitWindow(short);
#else
extern  void InitWindow(short, short);
#endif
void MyExit(short, int);

/*------------------------ Extradef ----------------------------------*/

extern char * CheckInclude (MLIST *, int, MHEAD *, CODERSTATE *, FAXDATA *, int *);
void AppendList (MHEAD *, MLIST *);


