/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "xfax.h"

FD_fax *create_form_fax(void)
{
  FL_OBJECT *obj;
  FD_fax *fdui = (FD_fax *) fl_calloc(1, sizeof(*fdui));

  fdui->fax = fl_bgn_form(FL_NO_BOX, 620, 440);
  obj = fl_add_box(FL_UP_BOX,0,0,620,440,"");
  obj = fl_add_frame(FL_EMBOSSED_FRAME,20,9,590,26,"");
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthEast);
  fdui->ys = obj = fl_add_slider(FL_VERT_BROWSER_SLIDER,590,90,20,320,"");
    fl_set_object_gravity(obj, FL_NorthEast, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_Y);
    fl_set_object_callback(obj,ys_cb,0);
  fdui->xs = obj = fl_add_slider(FL_HOR_BROWSER_SLIDER,10,410,580,20,"");
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthEast);
    fl_set_object_resize(obj, FL_RESIZE_X);
    fl_set_object_callback(obj,xs_cb,0);
  fdui->quit = obj = fl_add_button(FL_NORMAL_BUTTON,540,11,70,20,"Quit");
    fl_set_button_shortcut(obj,"#Q",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_gravity(obj, FL_NorthEast, FL_NorthEast);
    fl_set_object_callback(obj,quit_cb,(long)fdui);
  fdui->button1 = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,20,40,40,40,"");
    fl_set_button_shortcut(obj,"#L",1);
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,button1_cb,(long)fdui);
  fdui->button2 = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,70,40,40,40,"");
    fl_set_button_shortcut(obj,"#P",1);
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,button2_cb,(long)fdui);
  fdui->button3 = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,200,40,40,40,"");
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,button3_cb,(long)fdui);
  fdui->button4 = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,240,40,40,40,"");
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,button4_cb,(long)fdui);
  fdui->button5 = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,280,40,40,40,"");
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,button5_cb,(long)fdui);
  fdui->button6 = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,320,40,40,40,"");
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,button6_cb,(long)fdui);
  fdui->menu = obj = fl_add_menu(FL_PUSH_MENU,20,11,60,20,"Menu");
    fl_set_object_shortcut(obj,"Mm",1);
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,menu_cb,(long)fdui);
  fdui->button7 = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,360,40,40,40,"");
    fl_set_object_color(obj,FL_COL1,FL_MAGENTA);
    fl_set_object_gravity(obj, FL_NorthWest, FL_NorthWest);
    fl_set_object_callback(obj,button7_cb,(long)fdui);
  fdui->vres = obj = fl_add_lightbutton(FL_PUSH_BUTTON,540,40,70,30,"Scale");
    fl_set_object_color(obj,FL_COL1,FL_DODGERBLUE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_gravity(obj, FL_NorthEast, FL_NorthEast);
    fl_set_object_callback(obj,vres_cb,0);
    fl_set_button(obj, 1);
  fdui->canvas = obj = fl_add_canvas(FL_SCROLLED_CANVAS,10,90,580,320,"");
/*    fl_set_object_lcolor(obj,FL_WHITE);*/
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);
  fdui->pages = obj = fl_add_text(FL_NORMAL_TEXT,440,11,90,22,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_NorthEast, FL_NorthEast);
  fdui->fnam = obj = fl_add_text(FL_NORMAL_TEXT,110,11,320,20,"");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_gravity(obj, FL_North, FL_North);
  fl_end_form();

  fdui->fax->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

